Bug 108877 - Chromium: Hang parsing bidi control chars on Mac OS X 10.6
Summary: Chromium: Hang parsing bidi control chars on Mac OS X 10.6
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: asvitkine
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-04 16:28 PST by asvitkine
Modified: 2020-06-08 17:18 PDT (History)
6 users (show)

See Also:


Attachments
Patch (4.99 KB, patch)
2013-02-04 17:06 PST, asvitkine
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description asvitkine 2013-02-04 16:28:39 PST
Chromium: Hang parsing bidi control chars on Mac OS X 10.6
Comment 1 asvitkine 2013-02-04 17:06:49 PST
Created attachment 186501 [details]
Patch
Comment 2 asvitkine 2013-02-04 17:08:33 PST
Ned, can you review?

(Related to your changes from https://bugs.webkit.org/show_bug.cgi?id=83045)
Comment 3 Ned Holbrook 2013-02-04 17:14:07 PST
Looks good to me, thanks!
Comment 4 Nico Weber 2013-02-04 17:16:53 PST
mitz: Since you reviewed bug 83045, can you stamp this? nholbook gave it a thumbs up in comment 3.
Comment 5 asvitkine 2013-02-05 12:25:42 PST
Eric was also involved with the other bug.

Eric: Can I get an r+? Nad already said it lg to him.
Comment 6 Eric Seidel (no email) 2013-02-05 12:28:50 PST
Mitz is really the proper reviewer if you can get him.
Comment 7 asvitkine 2013-02-06 22:49:15 PST
mitz: ping
Comment 8 Eric Seidel (no email) 2013-02-07 16:12:01 PST
Comment on attachment 186501 [details]
Patch

LGTM.
Comment 9 WebKit Review Bot 2013-02-07 16:52:55 PST
Comment on attachment 186501 [details]
Patch

Clearing flags on attachment: 186501

Committed r142206: <http://trac.webkit.org/changeset/142206>
Comment 10 WebKit Review Bot 2013-02-07 16:52:58 PST
All reviewed patches have been landed.  Closing bug.